#encoding: utf-8

require 'active_support/core_ext/object/blank'
require 'active_support/core_ext/hash/keys'
require 'active_support/core_ext/class/attribute'
require 'active_support/core_ext/module/delegation'
require 'active_support/concern'
require 'mime/types'
require 'open-uri'

require 'karrierwave/configuration'
require 'karrierwave/error'
require 'karrierwave/file'
require 'karrierwave/mount'
require 'karrierwave/version'
require 'karrierwave/local_file'
require 'karrierwave/remote_file'
require 'karrierwave/remote_object'

module KarrierWave
  def self.config
    if block_given?
      @config = KarrierWave::Configuration.new.tap do |configuration|
        yield configuration
      end
    else
      @config ||= KarrierWave::Configuration.new
    end
  end
end
